Package com.openmeet.webservice.proxies

# Class MessageProxyDAO

java.lang.Object
com.openmeet.webservice.proxies.ProxyDAO<com.openmeet.shared.data.message.Message>
com.openmeet.webservice.proxies.MessageProxyDAO

All Implemented Interfaces:
  `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`

public class MessageProxyDAO extends ProxyDAO<com.openmeet.shared.data.message.Message> implements com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>
Proxy class for MessageDAO.

See Also:
  - `ProxyDAO`
  - `DAO`
  - `GenericProxyDAO`

- ## Field Summary

  ### Fields inherited from class com.openmeet.webservice.proxies.ProxyDAO

  `dao, out, request`

  ### Fields inherited from interface com.openmeet.shared.data.storage.DAO

  `DO_DELETE, DO_RETRIEVE_ALL, DO_RETRIEVE_ALL_LIMIT, DO_RETRIEVE_ALL_LIMIT_OFFSET, DO_RETRIEVE_BY_CONDITION, DO_RETRIEVE_BY_CONDITION_LIMIT, DO_RETRIEVE_BY_CONDITION_LIMIT_OFFSET, DO_RETRIEVE_BY_KEY, DO_SAVE, DO_SAVE_OR_UPDATE, DO_SAVE_PARTIAL, DO_UPDATE, logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageProxyDAO(com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message> dao, jakarta.servlet.http.HttpServletRequest request, PrintWriter out)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `doDelete(String condition)`
  `List<com.openmeet.shared.data.message.Message>`
  `doRetrieveAll()`
  `List<com.openmeet.shared.data.message.Message>`
  `doRetrieveAll(int row_count)`
  `List<com.openmeet.shared.data.message.Message>`
  `doRetrieveAll(int offset, int row_count)`
  `List<com.openmeet.shared.data.message.Message>`
  `doRetrieveByCondition(String condition)`
  `List<com.openmeet.shared.data.message.Message>`
  `doRetrieveByCondition(String condition, int row_count)`
  `List<com.openmeet.shared.data.message.Message>`
  `doRetrieveByCondition(String condition, int offset, int row_count)`
  `com.openmeet.shared.data.message.Message`
  `doRetrieveByKey(String key)`
  `boolean`
  `doSave(com.openmeet.shared.data.message.Message obj)`
  `boolean`
  `doSave(HashMap<String,?> values)`
  `boolean`
  `doSaveOrUpdate(com.openmeet.shared.data.message.Message obj)`
  `boolean`
  `doUpdate(HashMap<String,?> values, String condition)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageProxyDAO

    public MessageProxyDAO(com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message> dao, jakarta.servlet.http.HttpServletRequest request, PrintWriter out)

- ## Method Details

  - ### doRetrieveByCondition

    public List<com.openmeet.shared.data.message.Message> doRetrieveByCondition(String condition) throws SQLException
    Specified by:
      `doRetrieveByCondition` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doRetrieveByCondition

    public List<com.openmeet.shared.data.message.Message> doRetrieveByCondition(String condition, int row_count) throws SQLException
    Specified by:
      `doRetrieveByCondition` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doRetrieveByCondition

    public List<com.openmeet.shared.data.message.Message> doRetrieveByCondition(String condition, int offset, int row_count) throws SQLException
    Specified by:
      `doRetrieveByCondition` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doRetrieveByKey

    public com.openmeet.shared.data.message.Message doRetrieveByKey(String key) throws SQLException, com.openmeet.shared.exceptions.InvalidPrimaryKeyException
    Specified by:
      `doRetrieveByKey` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`
      `com.openmeet.shared.exceptions.InvalidPrimaryKeyException`

  - ### doRetrieveAll

    public List<com.openmeet.shared.data.message.Message> doRetrieveAll() throws SQLException
    Specified by:
      `doRetrieveAll` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doRetrieveAll

    public List<com.openmeet.shared.data.message.Message> doRetrieveAll(int row_count) throws SQLException
    Specified by:
      `doRetrieveAll` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doRetrieveAll

    public List<com.openmeet.shared.data.message.Message> doRetrieveAll(int offset, int row_count) throws SQLException
    Specified by:
      `doRetrieveAll` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doSave

    public boolean doSave(com.openmeet.shared.data.message.Message obj) throws SQLException
    Specified by:
      `doSave` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doSave

    public boolean doSave(HashMap<String,?> values) throws SQLException
    Specified by:
      `doSave` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doUpdate

    public boolean doUpdate(HashMap<String,?> values, String condition) throws SQLException
    Specified by:
      `doUpdate` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doSaveOrUpdate

    public boolean doSaveOrUpdate(com.openmeet.shared.data.message.Message obj) throws SQLException
    Specified by:
      `doSaveOrUpdate` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`

  - ### doDelete

    public boolean doDelete(String condition) throws SQLException
    Specified by:
      `doDelete` in interface `com.openmeet.shared.data.storage.DAO<com.openmeet.shared.data.message.Message>`
    Throws:
      `SQLException`